<script>
    jQuery(document).on('click', '#startcheck', function () {
	    var ajaxurl = typeof trainingssystem_plugin_v2_ajax !== 'undefined' ? trainingssystem_plugin_v2_ajax.trainingssystem_plugin_v2_ajax_url : null;

        jQuery('.ts-forms-form-{{resultid}} .ts-forms-submitmanually').html('Speichern').removeClass("mb-3").addClass('btn-info');

        jQuery('#beforestart').hide();

        updateBar(0);
        jQuery('#progbar').show();

        var allefragen = [];
        jQuery('.form-group:not(.result-field)').each(function () {
            allefragen.push(jQuery(this));
        });

        //alle fragen in ein array schreiben:
        var qanzahl = allefragen.length;
        var part = 100 / qanzahl;

        console.log("gesamtlaenge: " + qanzahl);

        //phq:
        var qanzahlphq = 8;
        var maxpointsphq = qanzahlphq * 3;

        //isi:
        var qanzahlisi = 7;
        var maxpointsisi = qanzahlisi * 4;

        //pss:
        var qanzahlpss = 10;
        var maxpointspss = qanzahlpss * 4;

        //ptq:
        var qanzahlptq = 4;
        var maxpointsptq = qanzahlptq * 4;

        //audit:
        var qanzahlaudit = 10;
        var maxpointsaudit = qanzahlaudit * 4;

        //ein array "allelabel" mit fester anzahl erzeugen. jedes element in "allelabel" enthält ein weiteres array.
        allelabel = new Array(qanzahl);
        for (var a = 0; a < qanzahl; a++) {
            allelabel[a] = new Array();
        }

        //pro frage die label in jedes element des arrays "allelabel" schreiben:
        for (var j = 0; j < qanzahl; j++) {
            if (allelabel[j] != null && allefragen[j] != null) {
                allefragen[j].children().find("label").each(function () {

                    allelabel[j].push(jQuery(this));
                });
            }
        }
        console.log("allelabel0: " + allelabel[0]);
        // console.log("alle label: "+allelabel.length);
        // console.log("alle frage: "+allefragen.length);

        var done = 0;
        var next = 1;

        // jQuery('.feedback-area').hide();

        /*alle fragen bis auf die erste werden versteckt:*/
        for (var k = 1; k < qanzahl; k++) {
            if (allefragen[k] != null && allelabel[k] != null) {
                allefragen[k].hide();
            }
        }

        jQuery('#fragen').show();

        //toggle class selected mit checked
        jQuery('input').click(function () {
            jQuery('input:not(:checked)').next().removeClass("selected");
            jQuery('input:checked').next().addClass("selected");
        });

        //den zweiten Teil verstecken
        // jQuery('.secondcheck').hide();

        //zurück-button verstecken:
        jQuery('#prev').hide();
        jQuery('#next').hide();
        //Programmablauf
        jQuery('#next').click(function () {
            //nextpage();
        });

        jQuery('#prev').click(function () {
            prevpage();
        });

        jQuery('input').click(function () {
            nextpage();
        });

        var phqcancel = 0;
        var isicancel = 0;
        var psscancel = 0;
        var ptqcancel = 0;
        var auditcancel = 0;
        next = 0;

        //function zum prüfen des abbruchs:
        function checkfinish() {

            if (next == 2) //phq:
            {
                console.log("next in checkfinish: " + next);
                countphq(allelabel[0]);
                countphq(allelabel[1]);
                cnumb = cnumb - 2;
                if (counter[0] < 2 && counter[1] < 1 && next < 8) {
                    console.log("phq abbruch");
                    phqcancel = 1;
                    next = qanzahlphq;

                    allefragen[next - 1].fadeOut(function () {
                        allefragen[next].fadeIn();
                    });
                    console.log("next im phq-abbruch: " + next);

                    done = part * (qanzahlphq - 1);
                    updateBar(done);
                    givequestion();
                    //next = qanzahlphq-1;
                }
            }
            else if (next == qanzahlphq + 3) //isi:
            {
                cnumb = qanzahlphq;
                for (var c = qanzahlphq; c <= next; c++) {
                    countfive(allelabel[c]);
                }
                if (counter[8] < 2 && counter[9] < 2 && counter[10] < 2) {
                    console.log("isi abbruch");
                    isicancel = 1;
                    next = qanzahlphq + qanzahlisi;
                    allefragen[next - 1].fadeOut(100, function () {
                        allefragen[next].fadeIn(1000);
                    });
                    console.log("next im isi-abbruch: " + next);

                    done = part * (qanzahlphq + qanzahlisi - 1);
                    updateBar(done);
                    givequestion();
                    //next = qanzahlphq+qanzahlisi-1;
                }
            }
            else if (next == qanzahlphq + qanzahlisi + 2) //pss:
            {
                cnumb = qanzahlphq + qanzahlisi;
                countfive(allelabel[15]);
                countRevers(allelabel[16]);
                if (counter[15] < 2 && counter[16] < 2) {
                    console.log("pss abbruch");
                    psscancel = 1;
                    next = qanzahlphq + qanzahlisi + qanzahlpss;
                    allefragen[next - 1].fadeOut()

                    done = part * (qanzahlphq + qanzahlisi + qanzahlpss - 1);
                    updateBar(done);
                    givequestion();
                    console.log("next im pss-abbruch: " + next);
                    allefragen[next].fadeIn();


                    //next = qanzahlphq+qanzahlisi+qanzahlpss-1;
                }
            }
            else if (next == qanzahlphq + qanzahlisi + qanzahlpss + 1) //ptq
            {
                cnumb = qanzahlphq + qanzahlisi + qanzahlpss;
                countfive(allelabel[25]);
                if (counter[25] < 2) {
                    console.log("ptq abbruch");
                    ptqcancel = 1;
                    next = qanzahlphq + qanzahlisi + qanzahlpss + qanzahlptq;
                    allefragen[next - 1].fadeOut();

                    done = part * (qanzahlphq + qanzahlisi + qanzahlpss + qanzahlptq - 1);
                    updateBar(done);
                    givequestion();
                    console.log("next im ptq-abbruch: " + next);
                    allefragen[next].fadeIn();


                    //next = qanzahlphq+qanzahlisi+qanzahlpss+qanzahlptq-1;
                }
            }
            else if (next == qanzahlphq + qanzahlisi + qanzahlpss + qanzahlptq + 1) //audit
            {
                cnumb = qanzahlphq + qanzahlisi + qanzahlpss + qanzahlptq;
                countfive(allelabel[29]);
                // countfive(allelabel[30]);
                // countfive(allelabel[31]);
                if (counter[29] == 0) {
                    console.log("audit abbruch" + " next: " + next);
                    auditcancel = 1;
                    next = qanzahlphq + qanzahlisi + qanzahlpss + qanzahlptq + qanzahlaudit;
                    //next = qanzahl;
                    //allefragen[next-1].fadeOut();
                    done = part * (qanzahlphq + qanzahlisi + qanzahlpss + qanzahlptq + qanzahlaudit - 1);
                    updateBar(done);
                    //next = qanzahlphq+qanzahlisi+qanzahlpss+qanzahlptq+qanzahlaudit-1;
                    nextpage();
                }
            }
            else if (next == qanzahlphq + qanzahlisi + qanzahlpss + qanzahlptq + 3) //audit zweiter Bereich
            {
                cnumb = qanzahlphq + qanzahlisi + qanzahlpss + qanzahlptq;
                console.log("audit position: " + next);
                countfive(allelabel[29]);
                countfive(allelabel[30]);
                countfive(allelabel[31]);
                var ergaudit = counter[31] + counter[30] + counter[29];

                console.log("counter 31: " + counter[31]);
                console.log("counter 30: " + counter[30]);
                console.log("counter 29: " + counter[29]);

                console.log("ergebnis audit: " + ergaudit);
                if (ergaudit < 5) {

                    console.log("counter 31: " + counter[31]);
                    console.log("counter 30: " + counter[30]);
                    console.log("counter 29: " + counter[29]);

                    console.log("audit abbruch 2 " + next + " ergebnis audit: " + ergaudit);
                    auditcancel = 1;
                    next = qanzahlphq + qanzahlisi + qanzahlpss + qanzahlptq + qanzahlaudit;
                    done = part * (qanzahlphq + qanzahlisi + qanzahlpss + qanzahlptq + qanzahlaudit - 1);
                    updateBar(done);
                    nextpage();
                }
            }
        };


        function givequestion() {
            console.log("next im give questions: " + next);
            if (next >= 0 && next <= qanzahlphq - 1) //phq zeigen von 0 bis 7
            {
                jQuery('#fragebogenfrage-phq').show();
                jQuery('#fragebogenfrage-isi').hide();
            }
            if (next > qanzahlphq - 1 && next <= qanzahlphq + qanzahlisi - 1) //isi zeigen von 8 bis 14
            {
                jQuery('#fragebogenfrage-isi').show();
                jQuery('#fragebogenfrage-pss').hide(); //für rückwärts!
                jQuery('#fragebogenfrage-phq').hide();
            }
            if (next >= qanzahlphq + qanzahlisi && next <= qanzahlphq + qanzahlisi + qanzahlpss - 1) //pss zeigen 15 bis 24
            {
                jQuery('#fragebogenfrage-pss').show();
                jQuery('#fragebogenfrage-ptq').hide(); //für rückwärts!
                jQuery('#fragebogenfrage-isi').hide();
            }
            if (next >= qanzahlphq + qanzahlisi + qanzahlpss && next <= qanzahlphq + qanzahlisi + qanzahlpss + qanzahlptq - 1) //ptq zeigen 25 bis 28
            {
                jQuery('#fragebogenfrage-ptq').show();
                jQuery('#fragebogenfrage-audit').hide(); //für rückwärts
                jQuery('#fragebogenfrage-pss').hide();
            }
            if (next >= qanzahlphq + qanzahlisi + qanzahlpss + qanzahlptq && next <= qanzahl - 1) // audit zeigen von 29 bis 38
            {
                jQuery('#fragebogenfrage-audit').show();
                jQuery('#fragebogenfrage-ptq').hide();
            }
        };

        function nextpage() {
            jQuery('#progbar').show();
            jQuery('#prev').fadeIn();

            next++;

            if (next < qanzahl) {
                allefragen[next - 1].fadeOut(function () {
                    checkfinish();
                    givequestion();
                    if (allefragen[next] != undefined) {
                        allefragen[next].fadeIn();
                        done = done + part;
                        updateBar(done);
                    }
                    else {
                        next = qanzahl;
                    }
                });
            }

            if (next == qanzahl || next > qanzahl) {
                done = part * (qanzahlphq + qanzahlisi + qanzahlpss + qanzahlptq + qanzahlaudit);
                updateBar(done);
                jQuery('#fragebogenfrage-audit').hide();
                allefragen[qanzahl - 1].hide();
                jQuery('.feedback-area').show();
                jQuery('#next').hide();
                jQuery('#prev').hide();
                jQuery('#progbar').hide();
                auswertung();
            }
        };

        function checkfinishbackwards() {
            if (phqcancel == 1 && next == 7) {
                next = 1;
                allefragen[8].fadeOut(function () {
                    allefragen[next].fadeIn();
                });
                givequestion();
                done = part * (qanzahlphq - 6);
                phqcancel = 0;
            }
            if (isicancel == 1 && next == 14) {
                next = 10;
                allefragen[13].fadeOut(function () {
                    allefragen[next].fadeIn();
                });
                givequestion();
                done = part * (qanzahlphq + qanzahlisi - 4);
                isicancel = 0;
            }
            if (psscancel == 1 && next == 24) {
                next = 16;
                allefragen[23].fadeOut(function () {
                    allefragen[next].fadeIn();
                });
                givequestion();
                done = part * (qanzahlphq + qanzahlisi + qanzahlpss - 8);
                psscancel = 0;
            }
            if (ptqcancel == 1 && next == 28) {
                next = 25;
                allefragen[27].fadeOut(function () {
                    allefragen[next].fadeIn();
                });
                givequestion();
                done = part * (qanzahlphq + qanzahlisi + qanzahlpss + qanzahlptq - 3);
                ptqcancel = 0;
            }
            // if(auditcancel==1 && next > 32)
            // {
            //   auditcancel = 0;
            // }
        }

        function prevpage() {


            for (var a = 0; a < allelabel[next].length; a++) {
                allelabel[next][a].children().attr("checked", false);
            }
            next--;
            if (next < qanzahl - 1) {
                allefragen[next + 1].fadeOut(function () {

                    checkfinishbackwards();
                    allefragen[next].fadeIn();
                    done = done - part;
                    updateBar(done);
                })
            }
            if (next == 0) {
                jQuery('#prev').hide();
            }
            givequestion();
            //checkfinishbackwards();
        }

        var counter = new Array(qanzahl);
        var cnumb = 0;
        //phq zählen
        function countphq(feld) {
            if (counter[cnumb] == undefined) {
                counter[cnumb] = 0;
            }
            if (feld[0].hasClass('selected')) {
                console.log("feld 1 " + feld[0]);
                counter[cnumb] = 0;
                counter[cnumb] += 0;
            }
            if (feld[1].hasClass('selected')) {
                console.log("feld 2 " + feld[1]);
                counter[cnumb] = 0;
                counter[cnumb] += 1;
            }
            if (feld[2].hasClass('selected')) {
                console.log("feld 3 " + feld[2]);
                counter[cnumb] = 0;
                counter[cnumb] += 2;
            }
            if (feld[3].hasClass('selected')) {
                console.log("feld 4 " + feld[3]);
                counter[cnumb] = 0;
                counter[cnumb] += 3;
            }
            cnumb++;
        }

        //isi
        function countfive(feld) {
            if (counter[cnumb] == undefined) {
                counter[cnumb] = 0;
            }
            if (feld[0].hasClass('selected')) {
                counter[cnumb] = 0;
                counter[cnumb] += 0;
            }
            if (feld[1].hasClass('selected')) {
                counter[cnumb] = 0;
                counter[cnumb] += 1;
            }
            if (feld[2].hasClass('selected')) {
                counter[cnumb] = 0;
                counter[cnumb] += 2;
            }
            if (feld[3].hasClass('selected')) {
                counter[cnumb] = 0;
                counter[cnumb] += 3;
            }
            if (feld[4].hasClass('selected')) {
                counter[cnumb] = 0;
                counter[cnumb] += 4;
            }
            cnumb++;
        }

        //umgekehrt zählen
        function countRevers(feld) {
            if (counter[cnumb] == undefined) {
                counter[cnumb] = 0;
            }
            if (feld[0].hasClass('selected')) {
                counter[cnumb] = 0;
                counter[cnumb] += 4;
            }
            if (feld[1].hasClass('selected')) {
                counter[cnumb] = 0;
                counter[cnumb] += 3;
            }
            if (feld[2].hasClass('selected')) {
                counter[cnumb] = 0;
                counter[cnumb] += 2;
            }
            if (feld[3].hasClass('selected')) {
                counter[cnumb] = 0;
                counter[cnumb] += 1;
            }
            if (feld[4].hasClass('selected')) {
                counter[cnumb] = 0;
                counter[cnumb] += 0;
            }
            cnumb++;
        }

        //counter 3er speziell für letzten beiden Fragen von audit:
        function countthree(feld) {
            if (counter[cnumb] == undefined) {
                counter[cnumb] = 0;
            }
            if (feld[0].hasClass('selected')) {
                counter[cnumb] = 0;
                counter[cnumb] += 0;
            }
            if (feld[1].hasClass('selected')) {
                counter[cnumb] = 0;
                counter[cnumb] += 2;
            }
            if (feld[2].hasClass('selected')) {
                counter[cnumb] = 0;
                counter[cnumb] += 4;
            }
            cnumb++;
        }

        //Fallunterscheidung:
        //jQuery('#auswertung').click(function ()
        //jQuery('#auswertung').fadeOut();
        function auswertung() {

            jQuery('#headline-start').hide();
            jQuery('#headline-ergebnis').show();
            jQuery('#ergebnis').show();
            cnumb = 0;
            //auswertung aller fragen des ersten fragebogens:
            for (var c = 0; c < qanzahlphq; c++) {
                console.log("phq-bereich: " + c);
                countphq(allelabel[c]);
            }

            var gesamtcounterphq = 0;
            for (var k = 0; k < qanzahlphq; k++) {
                gesamtcounterphq = gesamtcounterphq + counter[k];
            }

            //isi:
            var isicounter = qanzahlisi + qanzahlphq;
            for (var h = qanzahlphq; h < isicounter; h++) {
                console.log("isi-bereich: " + h);
                countfive(allelabel[h]);
            }

            var gesamtcounterisi = 0;
            for (var i = qanzahlphq; i < isicounter; i++) {
                gesamtcounterisi = gesamtcounterisi + counter[i];
            }

            //pss:
            countfive(allelabel[15]);
            countRevers(allelabel[16]);
            countfive(allelabel[17]);
            countfive(allelabel[18]);
            countRevers(allelabel[19]);
            countRevers(allelabel[20]);
            countfive(allelabel[21]);
            countRevers(allelabel[22]);
            countfive(allelabel[23]);
            countfive(allelabel[24]);

            var gesamtcounterpss = 0;
            var psscounter = isicounter + qanzahlpss;
            for (var m = isicounter; m < psscounter; m++) {
                console.log("pss-bereich: " + m);
                gesamtcounterpss = gesamtcounterpss + counter[m];
            }

            //ptq:
            var ptqcounter = psscounter + qanzahlptq;
            for (var n = psscounter; n < ptqcounter; n++) {
                console.log("ptq-bereich: " + n);
                countfive(allelabel[n]);
            }

            var gesamtcounterptq = 0;
            for (var p = psscounter; p < ptqcounter; p++) {
                gesamtcounterptq = gesamtcounterptq + counter[p];
            }

            //audit:
            var auditcounter = ptqcounter + qanzahlaudit;
            for (var q = ptqcounter; q < auditcounter - 2; q++) {
                console.log("audit-bereich: " + q);
                countfive(allelabel[q]);
            }

            countthree(allelabel[37]);
            countthree(allelabel[38]);

            var gesamtcounteraudit = 0;
            for (var v = ptqcounter; v < auditcounter; v++) {
                gesamtcounteraudit = gesamtcounteraudit + counter[v];
            }

            // 8 fragen mit jeweils maximal 3 punkten -> maximal 24 punkte möglich
            var percentphq = Math.round(gesamtcounterphq / maxpointsphq * 100);
            var percentisi = Math.round(gesamtcounterisi / maxpointsisi * 100);
            var percentpss = Math.round(gesamtcounterpss / maxpointspss * 100);
            var percentptq = Math.round(gesamtcounterptq / maxpointsptq * 100);
            var percentaudit = Math.round(gesamtcounteraudit / maxpointsaudit * 100);

            {% if resultid is not empty and userid != 0 %}

            var resultObj = new Object();
            resultObj['phq'] = percentphq;
            resultObj['isi'] = percentisi;
            resultObj['pss'] = percentpss;
            resultObj['ptq'] = percentptq;
            resultObj['audit'] = percentaudit;
            jQuery('.ts-forms-form-{{resultid}} .ts-forms-element-{{resultid}}').first().val(JSON.stringify(resultObj));

            {% endif %}

            {% if userid != 0 %}

            jQuery.ajax({
				type: 'POST',
				url: ajaxurl,
				data: {
					"action": "check_completed",
                    "checktitle": '{{ title }}',
					"url": location.href
				},
				error: function(errorThrown){
                    console.error("check completed ajax failed:");
					console.error(errorThrown);
				}
			});

            {% endif %}

            console.log("Frage 1 " + counter[0]);
            console.log("Frage 2 " + counter[1]);
            console.log("Frage 3 " + counter[2]);
            console.log("Frage 4 " + counter[3]);
            console.log("Frage 5 " + counter[4]);
            console.log("Frage 6 " + counter[5]);
            console.log("Frage 7 " + counter[6]);
            console.log("Frage 8 " + counter[7]);
            console.log("gesamt " + gesamtcounterphq);
            console.log("prozent " + percentphq + "%");

            console.log("Frage 9 " + counter[8]);
            console.log("Frage 10 " + counter[9]);
            console.log("Frage 11 " + counter[10]);
            console.log("Frage 12 " + counter[11]);
            console.log("Frage 13 " + counter[12]);
            console.log("Frage 14 " + counter[13]);
            console.log("Frage 15 " + counter[14]);
            console.log("gesamtisi " + gesamtcounterisi);
            console.log("prozentisi " + percentisi + "%");

            console.log("Frage 16 " + counter[15]);
            console.log("Frage 17 " + counter[16]);
            console.log("Frage 18 " + counter[17]);
            console.log("Frage 19 " + counter[18]);
            console.log("Frage 20 " + counter[19]);
            console.log("Frage 21 " + counter[20]);
            console.log("Frage 22 " + counter[21]);
            console.log("Frage 23 " + counter[22]);
            console.log("Frage 24 " + counter[23]);
            console.log("Frage 25 " + counter[24]);
            console.log("gesamtpss " + gesamtcounterpss);
            console.log("prozentpss " + percentpss + "%");

            console.log("Frage 26 " + counter[25]);
            console.log("Frage 27 " + counter[26]);
            console.log("Frage 28 " + counter[27]);
            console.log("Frage 29 " + counter[28]);
            console.log("gesamtptq " + gesamtcounterptq);
            console.log("prozentptq " + percentptq + "%");

            console.log("Frage 30 " + counter[29]);
            console.log("Frage 31 " + counter[30]);
            console.log("Frage 32 " + counter[31]);
            console.log("Frage 33 " + counter[32]);
            console.log("Frage 34 " + counter[33]);
            console.log("Frage 35 " + counter[34]);
            console.log("Frage 36 " + counter[35]);
            console.log("Frage 37 " + counter[36]);
            console.log("Frage 38 " + counter[37]);
            console.log("Frage 39 " + counter[38]);
            console.log("gesamtaudit " + gesamtcounteraudit);
            console.log("prozentaudit " + percentaudit + "%");

            if (gesamtcounterphq >= 0 && gesamtcounterphq <= 4)
                jQuery('.stufe1').show();
            else if (gesamtcounterphq > 4 && gesamtcounterphq <= 10)
                jQuery('.stufe2').show();
            else if (gesamtcounterphq > 10 && gesamtcounterphq <= 18)
                jQuery('.stufe3').show();
            else if (gesamtcounterphq > 18 && gesamtcounterphq <= 24)
                jQuery('.stufe4').show();

            if (gesamtcounterisi >= 0 && gesamtcounterisi <= 7)
                jQuery('.isi1').show();
            else if (gesamtcounterisi > 7 && gesamtcounterisi <= 20)
                jQuery('.isi2').show();
            else if (gesamtcounterisi > 20 && gesamtcounterisi <= 28)
                jQuery('.isi3').show();

            if (gesamtcounterpss >= 0 && gesamtcounterpss <= 17)
                jQuery('.pss1').show();
            else if (gesamtcounterpss > 17 && gesamtcounterpss <= 29)
                jQuery('.pss2').show();
            else if (gesamtcounterpss > 29 && gesamtcounterpss <= 40)
                jQuery('.pss3').show();

            if (gesamtcounterptq >= 0 && gesamtcounterptq <= 7)
                jQuery('.ptq1').show();
            else if (gesamtcounterptq > 7 && gesamtcounterptq <= 12)
                jQuery('.ptq2').show();
            else if (gesamtcounterptq > 12 && gesamtcounterptq <= 16)
                jQuery('.ptq3').show();


            //Auswertung auf Item-Ebene für spezielle Items

            if (gesamtcounteraudit <= 4) {
                if (counter[31] >= 2 || counter[30] >= 2) {
                    console.log("audit wert counter 31: " + counter[31] + "audit wert counter 30: " + counter[30]);
                    jQuery('.audit0').hide();
                    jQuery('.audit1').show();
                    jQuery('.audit2').hide();
                }
                else if (counter[31] < 2 || counter[30] < 2) {
                    console.log("audit wert counter 31: " + counter[31] + "audit wert counter 30: " + counter[30]);
                    jQuery('.audit0').show();
                    jQuery('.audit1').hide();
                    jQuery('.audit2').hide();
                }
            }
            // if(gesamtcounteraudit>=0 && gesamtcounteraudit<=4)
            //   jQuery('.audit1').show();
            else if (gesamtcounteraudit > 4 && gesamtcounteraudit <= 15) {
                jQuery('.audit2').show();
                jQuery('.audit1').hide();
                jQuery('.audit0').hide();
            }
            else if (gesamtcounteraudit > 15 && gesamtcounteraudit <= 19)
                jQuery('.audit3').show();
            else if (gesamtcounteraudit > 19 && gesamtcounteraudit <= 40)
                jQuery('.audit4').show();

            phqchart.series[0].setData([percentphq]);
            isichart.series[0].setData([percentisi]);
            psschart.series[0].setData([percentpss]);
            ptqchart.series[0].setData([percentptq]);
            auditchart.series[0].setData([percentaudit]);

        }// Auswerung-Funktion

        ////////////////////////////////////Highcharts////////////////////////////////////////////////////////////////////////////////////
        var phqchart = Highcharts.chart('phq', {

            credits: {
                enabled: false
            },
            exporting: {
                enabled: false
            },
            chart: {
                type: 'gauge',
                plotBackgroundColor: null,
                plotBackgroundImage: null,
                plotBorderWidth: 0,
                plotShadow: false
            },

            title: {
                text: ''
            },

            pane: {
                startAngle: -150,
                endAngle: 150,
                background: [{
                    backgroundColor: {
                        linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
                        stops: [
                            [0, '#FFF'],
                            [1, '#333']
                        ]
                    },
                    borderWidth: 0,
                    outerRadius: '109%'
                }, {
                    backgroundColor: {
                        linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
                        stops: [
                            [0, '#333'],
                            [1, '#FFF']
                        ]
                    },
                    borderWidth: 1,
                    outerRadius: '107%'
                }, {
                    // default background
                }, {
                    backgroundColor: '#DDD',
                    borderWidth: 0,
                    outerRadius: '105%',
                    innerRadius: '103%'
                }]
            },

            // the value axis
            yAxis: {
                min: 0,
                max: 100,

                minorTickInterval: 'auto',
                minorTickWidth: 1,
                minorTickLength: 10,
                minorTickPosition: 'inside',
                minorTickColor: '#666',

                tickPixelInterval: 30,
                tickWidth: 2,
                tickPosition: 'inside',
                tickLength: 10,
                tickColor: '#666',
                labels: {
                    step: 2,
                    rotation: 'auto'
                },
                title: {
                    text: 'Depressivität'
                },
                plotBands: [{
                    from: 0,
                    to: 20,
                    color: '#55BF3B' // green
                }, {
                    from: 20,
                    to: 75,
                    color: '#DDDF0D' // yellow
                }, {
                    from: 75,
                    to: 100,
                    color: '#DF5353' // red
                }]
            },

            series: [{
                name: 'Auswertung',
                data: [0],
                tooltip: {
                    valueSuffix: ' PHQ'
                }
            }]

        }); //PHQ

        var isichart = Highcharts.chart('isi', {

            credits: {
                enabled: false
            },
            exporting: {
                enabled: false
            },
            chart: {
                type: 'gauge',
                plotBackgroundColor: null,
                plotBackgroundImage: null,
                plotBorderWidth: 0,
                plotShadow: false
            },

            title: {
                text: ''
            },

            pane: {
                startAngle: -150,
                endAngle: 150,
                background: [{
                    backgroundColor: {
                        linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
                        stops: [
                            [0, '#FFF'],
                            [1, '#333']
                        ]
                    },
                    borderWidth: 0,
                    outerRadius: '109%'
                }, {
                    backgroundColor: {
                        linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
                        stops: [
                            [0, '#333'],
                            [1, '#FFF']
                        ]
                    },
                    borderWidth: 1,
                    outerRadius: '107%'
                }, {
                    // default background
                }, {
                    backgroundColor: '#DDD',
                    borderWidth: 0,
                    outerRadius: '105%',
                    innerRadius: '103%'
                }]
            },

            // the value axis
            yAxis: {
                min: 0,
                max: 100,

                minorTickInterval: 'auto',
                minorTickWidth: 1,
                minorTickLength: 10,
                minorTickPosition: 'inside',
                minorTickColor: '#666',

                tickPixelInterval: 30,
                tickWidth: 2,
                tickPosition: 'inside',
                tickLength: 10,
                tickColor: '#666',
                labels: {
                    step: 2,
                    rotation: 'auto'
                },
                title: {
                    text: 'Schlafprobleme'
                },
                plotBands: [{
                    from: 0,
                    to: 25,
                    color: '#55BF3B' // green
                }, {
                    from: 25,
                    to: 75,
                    color: '#DDDF0D' // yellow
                }, {
                    from: 75,
                    to: 100,
                    color: '#DF5353' // red
                }]
            },

            series: [{
                name: 'Auswertung',
                data: [0],
                tooltip: {
                    valueSuffix: ' ISI'
                }
            }]

        }); //isi


        var psschart = Highcharts.chart('pss', {

            credits: {
                enabled: false
            },
            exporting: {
                enabled: false
            },
            chart: {
                type: 'gauge',
                plotBackgroundColor: null,
                plotBackgroundImage: null,
                plotBorderWidth: 0,
                plotShadow: false
            },

            title: {
                text: ''
            },

            pane: {
                startAngle: -150,
                endAngle: 150,
                background: [{
                    backgroundColor: {
                        linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
                        stops: [
                            [0, '#FFF'],
                            [1, '#333']
                        ]
                    },
                    borderWidth: 0,
                    outerRadius: '109%'
                }, {
                    backgroundColor: {
                        linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
                        stops: [
                            [0, '#333'],
                            [1, '#FFF']
                        ]
                    },
                    borderWidth: 1,
                    outerRadius: '107%'
                }, {
                    // default background
                }, {
                    backgroundColor: '#DDD',
                    borderWidth: 0,
                    outerRadius: '105%',
                    innerRadius: '103%'
                }]
            },

            // the value axis
            yAxis: {
                min: 0,
                max: 100,

                minorTickInterval: 'auto',
                minorTickWidth: 1,
                minorTickLength: 10,
                minorTickPosition: 'inside',
                minorTickColor: '#666',

                tickPixelInterval: 30,
                tickWidth: 2,
                tickPosition: 'inside',
                tickLength: 10,
                tickColor: '#666',
                labels: {
                    step: 2,
                    rotation: 'auto'
                },
                title: {
                    text: 'Stress'
                },
                plotBands: [{
                    from: 0,
                    to: 43,
                    color: '#55BF3B' // green
                }, {
                    from: 43,
                    to: 74,
                    color: '#DDDF0D' // yellow
                }, {
                    from: 74,
                    to: 100,
                    color: '#DF5353' // red
                }]
            },

            series: [{
                name: 'Auswertung',
                data: [0],
                tooltip: {
                    valueSuffix: ' PSS'
                }
            }]

        });//PSS

        var ptqchart = Highcharts.chart('ptq', {

            credits: {
                enabled: false
            },
            exporting: {
                enabled: false
            },
            chart: {
                type: 'gauge',
                plotBackgroundColor: null,
                plotBackgroundImage: null,
                plotBorderWidth: 0,
                plotShadow: false
            },

            title: {
                text: ''
            },

            pane: {
                startAngle: -150,
                endAngle: 150,
                background: [{
                    backgroundColor: {
                        linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
                        stops: [
                            [0, '#FFF'],
                            [1, '#333']
                        ]
                    },
                    borderWidth: 0,
                    outerRadius: '109%'
                }, {
                    backgroundColor: {
                        linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
                        stops: [
                            [0, '#333'],
                            [1, '#FFF']
                        ]
                    },
                    borderWidth: 1,
                    outerRadius: '107%'
                }, {
                    // default background
                }, {
                    backgroundColor: '#DDD',
                    borderWidth: 0,
                    outerRadius: '105%',
                    innerRadius: '103%'
                }]
            },

            // the value axis
            yAxis: {
                min: 0,
                max: 100,

                minorTickInterval: 'auto',
                minorTickWidth: 1,
                minorTickLength: 10,
                minorTickPosition: 'inside',
                minorTickColor: '#666',

                tickPixelInterval: 30,
                tickWidth: 2,
                tickPosition: 'inside',
                tickLength: 10,
                tickColor: '#666',
                labels: {
                    step: 2,
                    rotation: 'auto'
                },
                title: {
                    text: 'Grübeln'
                },
                plotBands: [{
                    from: 0,
                    to: 49,
                    color: '#55BF3B' // green
                }, {
                    from: 49,
                    to: 80,
                    color: '#DDDF0D' // yellow
                }, {
                    from: 80,
                    to: 100,
                    color: '#DF5353' // red
                }]
            },

            series: [{
                name: 'Auswertung',
                data: [0],
                tooltip: {
                    valueSuffix: ' PTQ'
                }
            }]

        }); //PTQ


        var auditchart = Highcharts.chart('audit', {

            credits: {
                enabled: false
            },
            exporting: {
                enabled: false
            },
            chart: {
                type: 'gauge',
                plotBackgroundColor: null,
                plotBackgroundImage: null,
                plotBorderWidth: 0,
                plotShadow: false
            },

            title: {
                text: ''
            },

            pane: {
                startAngle: -150,
                endAngle: 150,
                background: [{
                    backgroundColor: {
                        linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
                        stops: [
                            [0, '#FFF'],
                            [1, '#333']
                        ]
                    },
                    borderWidth: 0,
                    outerRadius: '109%'
                }, {
                    backgroundColor: {
                        linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
                        stops: [
                            [0, '#333'],
                            [1, '#FFF']
                        ]
                    },
                    borderWidth: 1,
                    outerRadius: '107%'
                }, {
                    // default background
                }, {
                    backgroundColor: '#DDD',
                    borderWidth: 0,
                    outerRadius: '105%',
                    innerRadius: '103%'
                }]
            },

            // the value axis
            yAxis: {
                min: 0,
                max: 100,

                minorTickInterval: 'auto',
                minorTickWidth: 1,
                minorTickLength: 10,
                minorTickPosition: 'inside',
                minorTickColor: '#666',

                tickPixelInterval: 30,
                tickWidth: 2,
                tickPosition: 'inside',
                tickLength: 10,
                tickColor: '#666',
                labels: {
                    step: 2,
                    rotation: 'auto'
                },
                title: {
                    text: 'Alkoholkonsum'
                },
                plotBands: [{
                    from: 0,
                    to: 13,
                    color: '#55BF3B' // green
                }, {
                    from: 13,
                    to: 39,
                    color: '#DDDF0D' // yellow
                }, {
                    from: 39,
                    to: 100,
                    color: '#DF5353' // red
                }]
            },

            series: [{
                name: 'Auswertung',
                data: [0],
                tooltip: {
                    valueSuffix: 'AUDIT'
                }
            }]

        }); //AUDIT

        ////////////////////////////// Progressbar/////

        function updateBar(d) {
            var rounded = Math.round(d);
            jQuery('#progbar-numb').html("<p>" + rounded + "%</p>");
            jQuery('#progbar-inner').css({ 'width': d + "%" });
        }

        {% if resultid is not empty and userid != 0 %}

            jQuery(document).on('click', '.ts-forms-form-{{resultid}} .ts-forms-submitmanually', function (e) {
                
                jQuery.ajax({
                    type: 'POST',
                    url: ajaxurl,
                    data: {
                        "action": "check_saved",
                        "checktitle": '{{ title }}',
                        "url": location.href
                    },
                    error: function(errorThrown){
                        console.error("check saved ajax failed:");
                        console.error(errorThrown);
                    }
                });
            });

        {% endif %}
    }); //document ready Ende
</script>
<div class="tspv2_check">
    <div>
        <h1 id="headline-start">{{ title }}</h1>
    </div>

    <div id="beforestart">

        <h4>Was erwartet mich?</h4>
        <ul class="schriftgroesse pl-4">
            <li>Mit Hilfe der nachfolgenden Fragen können Sie herausfinden, wie es um Ihr Risiko für Stress und
                Stressfolgen steht.</li>
            <li>Der Selbst-Check dauert max. 5 Minuten.</li>
            <li>Sie erhalten ein individuelles Feedback zu Ihrem Befinden und Empfehlungen dazu, welche Trainings Sie
                bei Bedarf dabei unterstützen können, mit Stressfolgen umzugehen.</li>
            <li>Ihre Antworten dienen ausschließlich Ihrem persönlichen Feedback. Nach dem Schließen des Browserfensters
                ist Ihr Ergebnis nicht mehr zugänglich.</li>
        </ul>
        {% if userid == 0 %}
        <div class="alert alert-info" role="alert">
            <h5><i class="fas fa-info-circle"></i>&nbsp;Hinweis</h5>
            <p>
                Sie sind momentan nicht angemeldet. Die Durchführung des Checks ist für Sie dennoch möglich und kann
                Ihnen als Modulempfehlung dienen.<br>
                Um Ihre Ergebnisse für spätere Analysen speichern zu können, melden Sie sich bitte <b>vor</b> der
                Durchführung des Checks im System an.
            </p>
        </div>
        {% endif %}
        <a class="btn btn-primary" id="startcheck">Gesundheits-Check starten »</a>
    </div>

    <div id="progbar">
        <div id="progbar-numb"></div>
        <div id="progbar-inner"></div>
    </div>

    <div id="fragen">
        <h3 id="fragebogenfrage-phq" class="phq-header">Wie oft fühlten Sie sich im Verlauf der letzten 2 Wochen durch
            die folgenden Beschwerden beeinträchtigt?</h3>
        <h3 id="fragebogenfrage-isi" class="isi-header">Bitte beurteilen Sie den Schweregrad Ihrer SCHLAFPROBLEME
            während der letzten 2 Wochen.</h3>
        <h3 id="fragebogenfrage-pss" class="pss-header">Die nachfolgenden Fragen beziehen sich auf Ihre Gefühle und
            Gedanken während der letzten 2 Wochen.</h3>
        <h3 id="fragebogenfrage-ptq" class="ptq-header">Bitte lesen Sie die folgenden Aussagen und geben Sie an, in
            welchem Ausmaß diese in den letzten 2 Wochen auf Sie zutrafen, wenn Sie über negative Erlebnisse oder
            Probleme nachdachten.</h3>
        <h3 id="fragebogenfrage-audit" class="audit-header">Bitte denken Sie bei der Beantwortung der folgenden Fragen
            an die letzten 12 Monate.</h3>

        <div id="phq-1">
            {{ phq|raw }}
        </div>
        <div id="isi-1">
            {{ isi|raw }}
        </div>
        <div id="pss-1">
            {{ pss|raw }}
        </div>
        <div id="ptq-1">
            {{ ptq|raw }}
        </div>
        <div id="audit-1">
            {{ audit|raw }}
        </div>
        <!--audit -->
        <div>
            <a class="btn btn-primary" id="prev"><i class="fas fa-chevron-left"></i>&nbsp;zurück</a>
        </div>
        <a class="btn btn-primary" id="next">weiter&nbsp;<i class="fas fa-chevron-right"></i></a>

    </div>
    <!--Fragen Ende-->
    <div id="ergebnis">
        <h1 id="headline-ergebnis">Ergebnis Ihres Gesundheitschecks</h1>
        <div class="row">
            <div class="col-12 col-md-6 col-lg-6 col-xl-8">
                <h2>Erschöpfung</h2>
                <div class="stufe1">
                    <p>
                        Ihrem Ergebnis zufolge sind Sie gut aufgestellt, um die Herausforderungen in Ihrem Alltag zu
                        bewältigen. Eine aktive Lebensweise, die regelmäßige Unternehmung angenehmer
                        Freizeitaktivitäten, ob allein oder mit anderen Personen, können wertvolle Ressourcen sein. Sie
                        scheinen gut darauf zu achten, dass Sie solche oder andere Aktivitäten in Ihrem Alltag
                        wahrnehmen, aus denen Sie Kraft schöpfen.
                    </p>
                </div>
                <div class="stufe2">
                    <p>
                        Sie haben in den letzten 2 Wochen hin und wieder Stimmungstiefs gehabt. Beobachten Sie in den
                        nächsten Tagen einmal Ihre Stimmung und achten Sie darauf, ob die Stimmungstiefs sich
                        intensivieren oder häufen. Bei länger anhaltender schlechter Stimmung oder
                        fehlender Energie für angenehme Aktivitäten und Dinge, die Sie bisher gerne gemacht haben, kann
                        das Training „Erschöpfung“ Unterstützung bieten.
                    </p>
                    <h3 class="abstand_gross">Trainingsempfehlung:</h3>
                    {{ training['erschoepfung']|raw }}
                    <!--Panel End-->
                </div>
                <div class="stufe3">
                    <p>
                        Ihr Ergebnis deutet auf Anzeichen einer depressiven Stimmung hin. Das kann sich in Gefühlen von
                        Niedergeschlagenheit, fehlender Energie oder auch vermehrter Selbstkritik äußern. In dem
                        Training „Erschöpfung“ lernen Sie wirksame Strategien kennen, um der
                        Entwicklung von depressiven Erkrankungen wie Burnout vorzubeugen und was Sie gegen depressive
                        Beschwerden tun können.
                    </p>
                    <h3 class="abstand_gross">Trainingsempfehlung:</h3>
                    {{ training['erschoepfung']|raw }}
                </div>
                <div class="stufe4">
                    <p>
                        Ihr Ergebnis deutet darauf hin, dass Sie sich gerade in einer kritischen Phase befinden. Es kann
                        hilfreich sein, das Ergebnis des Gesundheitschecks einmal mit Ihrem Hausarzt oder einem
                        Psychotherapeuten zu besprechen.</p>
                    <p>Hier erhalten Sie weitere Informationen zur Unterstützung bei Depressionen.</p>
                    <p>In der Zwischenzeit können Sie das Training „Erschöpfung“ nutzen, um sich darüber zu informieren,
                        was Sie schon direkt gegen eine depressive Stimmung unternehmen können.
                    </p>
                    <h3 class="abstand_gross">Trainingsempfehlung:</h3>
                    {{ training['erschoepfung']|raw }}
                    <!--Panel End-->
                </div>
            </div>
            <div class="col-12 col-md-6 col-lg-6 col-xl-4 float-right">
                <div id="phq" style="min-width: 310px; max-width: 400px; height: 300px;"></div>
            </div>
        </div>
        <!--row 1 phq -->
        <hr>
        <div class="row">
            <div class="col-12 col-md-6 col-lg-6 col-xl-8">
                <h2>Schlafprobleme</h2>
                <div class="isi1">
                    <p>
                        Ihr Ergebnis deutet darauf hin, dass Sie in aller Regel einen erholsamen Schlaf haben.
                        Studienergebnissen zufolge wirkt sich ausreichend erholsamer Schlaf positiv auf die
                        Leistungsfähigkeit sowie einen konstruktiven Umgang mit Stress aus. Ihrem Ergebnis nach scheinen
                        auch Sie für stressreiche Phasen gut gewappnet zu sein.
                    </p>
                </div>
                <div class="isi2">
                    <p>
                        Ihr Ergebnis deutet darauf hin, dass Sie öfter Schwierigkeiten haben, erholsam zu schlafen. Mit
                        dem Training „Schlaf“ lernen Sie wirksame Techniken zur Förderung eines erholsamen Schlafs.
                        Darüber hinaus lernen Techniken kennen, mit denen Sie etwaige schlafraubende
                        Gedanken in den Griff kriegen können.
                    </p>
                    <h3 class="abstand_gross">Trainingsempfehlung:</h3>
                    {{ training['schlaf']|raw }}
                    <!--Panel End-->
                </div>
                <div class="isi3">
                    <p>
                        Ihr Ergebnis zeigt deutliche Anzeichen von Schlafproblemen an. Das Training „Schlaf“ unterstützt
                        Sie mit verschiedenen Übungen dabei, schrittweise wieder erholsamer zu schlafen. Daneben kann es
                        auch sinnvoll sein, wenn Sie mögliche körperliche Ursachen
                        für Ihre Schlafprobleme durch einen Arzt abklären lassen.
                    </p>
                    <h3 class="abstand_gross">Trainingsempfehlung:</h3>
                    {{ training['schlaf']|raw }}
                    <!--Panel End-->
                </div>
            </div>
            <div class="col-12 col-md-6 col-lg-6 col-xl-4 float-right">
                <div id="isi" style="min-width: 310px; max-width: 400px; height: 300px;"></div>
            </div>
        </div>
        <!--row 2 isi-->
        <hr>
        <div class="row">
            <div class="col-12 col-md-6 col-lg-6 col-xl-8">
                <h2>Stress</h2>
                <div class="pss1">
                    <p>
                        Es ist völlig normal, wenn Sie sich öfter etwas angespannt fühlen. Eine gewisse körperliche
                        Anspannung und Aufmerksamkeit ist nötig, damit wir berufliche wie auch private Herausforderungen
                        meistern können. Ihrem Ergebnis zufolge scheinen Sie über sehr gute Stressmanagementfähigkeiten
                        zu verfügen. Damit sind Sie auch zukünftig in stressreichen
                        Zeiten gut aufgestellt.
                    </p>
                </div>
                <div class="pss2">
                    <p>
                        Ihr Ergebnis weist daraufhin, dass Sie sich in letzter Zeit öfter gestresst fühlten oder das
                        Gefühl hatten, dass Ihnen die Dinge entgleiten. Eine andauernde körperliche oder gedankliche
                        Anspannung kann dazu führen, dass das Wohlbefinden darunter leidet
                        oder die Energie dann für andere wichtige Dinge fehlt. Im Training „Stress“ lernen Sie, wie Sie
                        Ihre Fähigkeiten, Probleme zu lösen und mit schwierigen Gefühlen umzugehen, verbessern können.
                        Zudem erhalten Sie nützliche Tipps zum Zeitmanagement,
                        zur Ernährung, Bewegung, sozialen Unterstützungsmöglichkeiten, erholsamem Schlaf und zum Umgang
                        mit Grübeln.
                    </p>
                    <h3 class="abstand_gross">Trainingsempfehlung:</h3>
                    {{ training['stress']|raw }}
                    <!--Panel End-->
                </div>
                <div class="pss3">
                    <p>
                        Ihr Ergebnis deutet auf starken Stress hin. Andauernder Stress birgt die Gefahr, dass sich
                        körperliche oder psychische Beschwerden verfestigen und z.B. Herz-Kreislauf-Erkrankungen oder
                        Depressionen entstehen. Mit dem Training „Stress“ können Sie lernen,
                        wie Sie besser mit Problemen umgehen können und wie Sie unveränderliche Dinge akzeptieren
                        können. Wenn Sie sich in letzter Zeit öfter niedergeschlagen oder depressiv gefühlt haben, kann
                        Ihnen das Training „Erschöpfung“ Wege aufzeigen, wie Sie Ihre
                        Stimmung durch kleine Übungen im Alltag verbessern können.
                    </p>
                    <h3 class="abstand_gross">Trainingsempfehlung:</h3>
                    {{ training['stress']|raw }}
                    <!--Panel End-->
                </div>
            </div>
            <div class="col-12 col-md-6 col-lg-6 col-xl-4 float-right">
                <div id="pss" style="min-width: 310px; max-width: 400px; height: 300px;"></div>
            </div>
        </div>
        <!--row pss-->
        <hr>
        <div class="row">
            <div class="col-12 col-md-6 col-lg-6 col-xl-8">
                <h2>Grübeln</h2>
                <div class="ptq1">
                    <p>
                        Es ist ganz normal, wenn die Gedanken mal um ein bestimmtes Problem kreisen. Manchmal fällt es
                        Personen jedoch ganz schön schwer, sich gedanklich auch wieder von einem Problem zu
                        distanzieren. Das kann vor allem dann auf die Stimmung drücken, wenn es sich um Probleme
                        handelt, die sie selbst nicht oder kaum verändern können. Ihrem Ergebnis nach gelingt Ihnen die
                        Distanzierung von solchen Gedanken im Allgemeinen sehr gut. Damit verfügen Sie über eine
                        wertvolle Kompetenz, die Ihnen auch dann helfen kann, wenn sich zukünftig Probleme auftun, für
                        die eine gute Lösung nicht sofort erkennbar ist.
                    </p>
                </div>
                <div class="ptq2">
                    <p>
                        Ihr Ergebnis deutet darauf hin, dass Sie öfter mal in die Grübelfalle tappen. Manchmal nehmen
                        uns Gedanken an negative Ereignisse oder Sorgen um die Zukunft so sehr ein, dass wir unsere
                        Aufmerksamkeit vermehrt auf Negatives richten. Dann kann ein hilfreiches
                        Ziel darin bestehen, das Positive in der Welt mehr wahrzunehmen und wertzuschätzen. Im
                        Dankbarkeitstraining geht es darum, die Fairness der eigenen Aufmerksamkeit zu fördern, indem
                        Sie üben, die kleineren und größeren erfreulichen Erlebnisse im Alltag
                        bewusster wahrzunehmen. Manchmal sind Grübelgedanken und Sorgen auch so hartnäckig, dass Sie uns
                        den Schlaf rauben. Dann kann das Online-Training „Schlaf“ helfen, wieder erholsam zu schlafen
                        und Ihnen zeigen, wie Sie es schaffen können, sich von
                        schlafraubenden Gedanken besser zu distanzieren.
                    </p>
                    <h3 class="abstand_gross">Trainingsempfehlung:</h3>
                    {{ training['schlaf']|raw }}
                    <!--Panel End-->
                </div>
                <div class="ptq3">
                    <p>
                        Ihren Angaben zufolge kreisen Ihre Gedanken zuletzt oft um negative Ereignisse oder Probleme.
                        Manchmal sind Grübelgedanken und Sorgen auch so hartnäckig, dass Sie uns den Schlaf rauben. Dann
                        kann das Training „Schlaf“ helfen, wieder erholsam zu schlafen
                        und Ihnen zeigen, wie Sie es schaffen können, sich von schlafraubenden Gedanken besser zu
                        distanzieren. Länger anhaltende starke negative Gedanken können den Blick auf das Positive im
                        Alltag erschweren.
                    </p>
                    <h3 class="abstand_gross">Trainingsempfehlung:</h3>
                    {{ training['schlaf']|raw }}
                    <!--Panel End-->
                </div>
            </div>
            <div class="col-12 col-md-6 col-lg-6 col-xl-4 float-right">
                <div id="ptq" style="min-width: 310px; max-width: 400px; height: 300px;"></div>
            </div>
        </div>
        <!--row ptq -->
        <hr>
        <div class="row">
            <div class="col-12 col-md-6 col-lg-6 col-xl-8">
                <h2>Alkoholkonsum</h2>
                <div class="audit0">
                    <p>
                        Ihr Ergebnis deutet auf einen maßvollen Umgang mit Alkohol hin. Falls Sie früher einmal mehr
                        getrunken haben: Gratulation! Sie haben Ihren Konsum auf ein gesundheitlich unbedenkliches Maß
                        reduziert. Studienergebnisse zeigen, dass Männer, die nicht mehr als 4 und Frauen, die nicht
                        mehr als 3 Getränke (z.B. 0,33l Bier oder 0,1l Wein) bei einer Gelegenheit trinken, deutlich
                        seltener körperliche Erkrankungen, wie Herz-Kreislauf-Probleme oder Krebserkrankungen erleiden
                        als Personen mit stärkerem Konsum.
                    </p>
                </div>
                <!--audit 0 Ende-->
                <div class="audit1">
                    <p>
                        Ihren Angaben zufolge haben Sie bei einer Gelegenheit schon einmal in einem Ausmaß Alkohol
                        getrunken, das als gesundheitlich riskant gilt. Wussten Sie, dass es gesundheitlich
                        verträglicher ist, wenig Alkohol an mehreren Tagen zu trinken, als viel Alkohol an wenigen
                        Tagen? Vielleicht kann es ja ein Ziel für Sie sein, die Anzahl alkoholische Getränke zu
                        reduzieren. Jedes weniger getrunkene Glas Alkohol ist ein gesundheitlicher Erfolg.
                        Übrigens: Für Männer gilt der Konsum von 5 oder mehr, für Frauen 3 oder mehr Getränken (z.B.
                        0,33l Bier oder 0,1l Wein) bei einer Gelegenheit als gesundheitlich riskant. D.h. bei diesen
                        Mengen sind gesundheitsschädliche Folgen durch den Alkoholkonsum nicht auszuschließen.
                    </p>
                </div>
                <!--audit 1 Ende-->
                <div class="audit2">
                    <p>Ihren Angaben zufolge liegt Ihr Alkoholkonsum im gesundheitlich riskanten Bereich. Das bedeutet,
                        dass Ihr Risiko für gesundheitliche Folgeschäden durch Alkohol erhöht ist.</p>
                    <p>Übrigens: Für Männer gilt der Konsum von 5 oder mehr, für Frauen 3 oder mehr Getränken (z.B.
                        0,33l Bier oder 0,1l Wein) bei einer Gelegenheit als gesundheitlich riskant. D.h. bei diesen
                        Mengen sind gesundheitsschädliche Folgen durch den Alkoholkonsum nicht auszuschließen.</p>
                    <p>Wenn Sie möchten, können Sie das Training „Alkohol“ nutzen, um Ihre aktuellen Trinkgewohnheiten
                        in den nächsten Tagen einmal genauer unter die Lupe zu nehmen. Wenn Sie sich dazu entscheiden,
                        Ihren Konsum zu verändern, kann Sie das Online-Training dabei unterstützen.</p>
                    <h3 class="abstand_gross">Trainingsempfehlung:</h3>
                    {{ training['alkohol']|raw }}
                    <!--Panel End-->
                </div>
                <!--audit 2 Ende-->
                <div class="audit3">
                    <p>
                        Ihr Ergebnis weist auf einen gesundheitlich riskanten Alkoholkonsum hin. Das bedeutet, dass ein
                        hohes Risiko besteht, durch Alkohol ausgelöste Erkrankungen zu entwickeln. Haben Sie schon
                        einmal nachgedacht, weniger Alkohol zu trinken? Sie können das Training
                        „Alkohol“ dazu nutzen, abzuwägen, ob Sie jetzt eine Veränderung angehen wollen. Das
                        Online-Training unterstützt Sie dabei mit verschiedenen Übungen und Beispielen, wie Sie Ihnen
                        das gelingen kann.
                    </p>
                    <p>Hier erhalten Sie Informationen zu weiteren Hilfsangeboten zur Alkoholreduktion sowie
                        Anlaufstellen zur Behandlung von alkoholbezogenen Problemen.</p>
                    <h3 class="abstand_gross">Trainingsempfehlung:</h3>
                    {{ training['alkohol']|raw }}
                    <!--Panel End-->
                </div>
                <div class="audit4">
                    <p>
                        Ihr Ergebnis weist auf eine Alkoholabhängigkeitserkrankung hin. Sie sollten Ihren Alkoholkonsum
                        reduzieren. Wir empfehlen wir Ihnen, das Ergebnis einmal mit Ihrem Hausarzt zu besprechen und
                        sich über gesundheitliche Folgen und Möglichkeiten der Alkoholreduktion
                        zu informieren. Sie können das Online-Training Alkohol, nutzen, um sich einmal genauer mit
                        Folgen des Alkoholkonsums auseinanderzusetzen und sich Tipps für eine Veränderung Ihres
                        Alkoholkonsums zu holen.</p>
                    <p>Hier erhalten Sie Informationen zu weiteren Hilfsangeboten zur Alkoholreduktion sowie
                        Anlaufstellen zur Behandlung von alkoholbezogenen Problemen.</p>
                    <h3 class="abstand_gross">Trainingsempfehlung:</h3>
                    {{ training['alkohol']|raw }}
                    <!--Panel End-->
                </div>
            </div>
            <div class="col-12 col-md-6 col-lg-6 col-xl-4 float-right">
                <div id="audit" style="min-width: 310px; max-width: 400px; height: 300px;"></div>
            </div>
        </div>
        <!--row audit -->
        <hr>
        <h2>Was mach ich jetzt mit meinem Ergebnis?</h2>

        <p>Ihr Ergebnis kann ein Anhaltspunkt dafür sein, was Sie tun können, um Ihre Gesundheit zu verbessern und
            welche Trainings Sie dabei unterstützen könnten. Möglicherweise entspricht das Ergebnis aber auch nicht so
            recht Ihrem eigenen Empfinden. Das ist
            auch gar nicht zu ungewöhnlich, wenn Sie sich einmal überlegen, dass Sie gerade relativ wenige Fragen
            beantwortet haben, die natürlich nur einen ersten Anhaltspunkt für aktuelle Belastungen liefern können.</p>

        <p>Wenn Sie einen Veränderungsbedarf erkannt haben und motiviert sind, jetzt etwas zu verändern, dann stehen
            Ihnen verschiedene Online-Trainings zur Verfügung, mit deren Hilfe Sie sich innerhalb der nächsten Wochen
            gezielt auf bestimmte Gesundheitsziele
            hinarbeiten können. Sie können die Trainings auch dazu nutzen, sich einmal intensiver mit einem Thema
            auseinanderzusetzen, wenn die Tachonadel jeweils im gelben oder roten Bereich ausschlägt.</p>
        {% if resultid is not empty and userid != 0 %}
        <div class="card mt-4">
            <div class="card-header">
                <h4 class="m-0">
                    <i class="fas fa-chart-bar"></i>&nbsp;Eingaben speichern?
                </h4>
            </div>
            <div class="card-body">
                <p class="mb-0">
                    Möchten Sie Ihre Check-Ergebnisse speichern, um sie zu einem anderen Zeitpunkt wieder abzurufen und
                    Ihre Ergebnisse im zeitlichen Verlauf verfolgen zu können?
                </p>
            </div>
            <div class="card-footer d-flex flex-row align-items-center">
                {{result_tsform|raw }}
                <span class="text-muted pl-3">
                    Das Löschen aller in diesem System getätigten Eingaben, welches Sie in Ihrem <a
                        href="{{ profile_link }}" target="_blank" title="Persönlicher Bereich">persönlichen Bereich</a>
                    vornehmen können, schließt auch die Eingaben in die Checks mit ein.
                </span>
            </div>
        </div>
        {% endif %}
    </div>
    <!--Ergebnis Ende -->
</div>